# Uses of Interface
writer2xhtml.api.ContentEntry

## Uses of ContentEntry in writer2xhtml.api

Methods in writer2xhtml.api that return ContentEntry
Modifier and Type
Method
Description
`ContentEntry`
ConverterResult.`getBibliographyFile()`
Get the entry which contains the bibliography
`ContentEntry`
ConverterResult.`getCoverFile()`
Get the entry which contains the cover (which usually will contain a cover image)
`ContentEntry`
ConverterResult.`getCoverImageFile()`
Get the entry which contains the actual cover image
`ContentEntry`
ConverterResult.`getIndexFile()`
Get the entry which contains the alphabetical index
`ContentEntry`
ConverterResult.`getLofFile()`
Get the entry which contains the list of figures
`ContentEntry`
ConverterResult.`getLotFile()`
Get the entry which contains the list of tables
`ContentEntry`
ConverterResult.`getTextFile()`
Get the entry which contains the start of the actual text (the first chapter, or simply the start of the document if there are no headings)
`ContentEntry`
ConverterResult.`getTitlePageFile()`
Get the entry which contains the table page
`ContentEntry`
ConverterResult.`getTocFile()`
Get the entry which contains the table of contents
Methods in writer2xhtml.api that return types with arguments of type ContentEntry
Modifier and Type
Method
Description
`List<ContentEntry>`
ConverterResult.`getContent()`
Get the content table (based on headings) for this `ConverterResult`
`List<ContentEntry>`
ConverterResult.`getOriginalPageNumbers()`
Get the original page numbers (if exported) for this `ConverterResult`